// Copyright 2014 Google Inc.

#import <Foundation/Foundation.h>

/**
 * @file GCKGameManagerResult
 * GCKGameManagerResult definition.
 */

/**
 * Result of a game manager command.
 *
 * @ingroup Games
 */
GCK_EXPORT
@interface GCKGameManagerResult : NSObject

/**
 * Extra message data stored as part of this response.
 */
@property(nonatomic, readonly) NSInteger requestID;

/**
 * PlayerID associated with this response.
 */
@property(nonatomic, copy, readonly) NSString *playerID;

/**
 * Extra message data stored as part of this response.
 */
@property(nonatomic, copy, readonly) id extraData;

@end
